package com.hzya.frame.plugin.a8bill.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.execsql.service.IExecSqlService;
import com.hzya.frame.plugin.a8bill.dao.IPayBillPluginInitializerDao;
import com.hzya.frame.plugin.a8bill.entity.PayBillEntity;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.HashMap;
import java.util.List;

/**
 * 组织档案(MdmOrg)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-07 18:30:04
 */
public class PayBillPluginInitializerDaoImpl extends MybatisGenericDao<PayBillEntity, String> implements IPayBillPluginInitializerDao {
    @Autowired
    private IExecSqlService execSqlService;
    @DS("#entity.dataSourceCode")
    @Override
    public List<HashMap<String, Object>> getOaBillData(String str, PayBillEntity entity)throws Exception {
       return execSqlService.execSelectSql(str, "");
    }
    @DS("#entity.dataSourceCode")
    @Override
    public int updateStateForId(String str , PayBillEntity entity)throws Exception {
        return super.update("com.hzya.frame.plugin.a8bill.dao.impl.PayBillPluginInitializerDaoImpl.PayBillEntity_update",entity);
    }
}

