package com.hzya.frame.u8c.sosale.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.u8c.sosale.dao.ISoSaleDao;
import com.hzya.frame.u8c.sosale.dao.ISoSaleLineDao;
import com.hzya.frame.u8c.sosale.entity.SoSaleEntity;
import com.hzya.frame.u8c.sosale.entity.SoSaleLineEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository(value = "SoSaleLineDaoImpl")
public class SoSaleLineDaoImpl extends MybatisGenericDao<SoSaleLineEntity, String> implements ISoSaleLineDao {
    @DS("#entity.dataSourceCode")
    @Override
    public List<SoSaleLineEntity> getU8cSaleLine(SoSaleLineEntity entity) {
        return (List<SoSaleLineEntity>) super.selectList("com.hzya.frame.u8c.sosale.dao.impl.SoSaleLineDaoImpl.querySaleLine", entity);
    }
}

