package com.hzya.frame.ningboBankTreasury.dto.res;

import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * @Description 宁波银行查询交易明细
 * @Author xiangerlin
 * @Date 2024/7/24 16:45
 **/
public class AccTrxResponse {
    //返回交易码 0000成功，0001失败
    private String retCode;
    //返回信息
    private String retMsg;
    //每条页数
    private String pageSize;
    //当前页数
    private String currentPage;
    //总页数
    private String totalPage;
    //总条数
    private String totalSize;
    //收款明细列表
    private List<AccTransactionRes> list;

    public String getRetCode() {
        return retCode;
    }

    public void setRetCode(String retCode) {
        this.retCode = retCode;
    }

    public String getRetMsg() {
        return retMsg;
    }

    public void setRetMsg(String retMsg) {
        this.retMsg = retMsg;
    }

    public String getPageSize() {
        return pageSize;
    }

    public void setPageSize(String pageSize) {
        this.pageSize = pageSize;
    }

    public String getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(String currentPage) {
        this.currentPage = currentPage;
    }

    public String getTotalPage() {
        return totalPage;
    }

    public void setTotalPage(String totalPage) {
        this.totalPage = totalPage;
    }

    public String getTotalSize() {
        return totalSize;
    }

    public void setTotalSize(String totalSize) {
        this.totalSize = totalSize;
    }

    public List<AccTransactionRes> getList() {
        return list;
    }

    public void setList(List<AccTransactionRes> list) {
        this.list = list;
    }

    public static AccTrxResponse valueOf(String str){
        if (StrUtil.isNotEmpty(str) && JSONUtil.isTypeJSON(str)){
            NingBoResponse ningBoResponse = JSONObject.parseObject(str,NingBoResponse.class);
            AccTrxResponse accTrxResponse = ningBoResponse.getData().toJavaObject(AccTrxResponse.class);
            return accTrxResponse;
        }
        return null;
    }
}
