package com.hzya.frame.seeyon.receiptFor.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.seeyon.receiptFor.dao.IReceiptForDao;
import com.hzya.frame.seeyon.receiptFor.entity.ReceiptForEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository("receiptForDao")
public class ReceiptForDaoImpl extends MybatisGenericDao implements IReceiptForDao {

    @DS("#recEntity.dataSourceCode")
    @Override
    public List<ReceiptForEntity> getOaReceipt(ReceiptForEntity recEntity){
        return super.selectList(getSqlIdPrifx()+"ReceiptForEntity_list_base",recEntity);
    }

    @DS("#recEntity.dataSourceCode")
    @Override
    public int updateState(ReceiptForEntity recEntity){
        return super.update(getSqlIdPrifx()+"ReceiptForEntity_update_state",recEntity);
    }
}
